/* 计时器的[设置界面] 的 动画 */
/* （settingUi中的动画） */

/*按钮：当前的语言*/
/* [当鼠标移出时] */
#settingUi .language .currentLanguage{
    /* 过渡 */
    transition: transform 0.1s, background-color 0.1s;
    /* 变换 */
    transform: scale(1);
}
/* [当鼠标按下时] */
#settingUi .language .currentLanguage:active{
    /* 变换 */
    transform: scale(0.85, 0.75);
}



/*按钮：中文*/
/* [当鼠标移出时] */
#settingUi .language .chooseLanguage .chinese{
    /* 过渡 */
    transition: transform 0.1s;
    /* 变换 */
    transform: scale(1);
}
/* [当鼠标按下时] */
#settingUi .language .chooseLanguage .chinese:active{
    /* 变换 */
    transform: scale(0.75);
}



/*按钮：英文*/
/* [当鼠标移出时] */
#settingUi .language .chooseLanguage .english{
    /* 过渡 */
    transition: transform 0.1s;
    /* 变换 */
    transform: scale(1);
}
/* [当鼠标按下时] */
#settingUi .language .chooseLanguage .english:active{
    /* 变换 */
    transform: scale(0.75);
}




/*按钮：Github*/
/* [当鼠标移出时] */
#settingUi .githubButton{
    /* 过渡 */
    transition: transform 0.1s;
    /* 变换 */
    transform: scale(1);
}
/* [当鼠标按下时] */
#settingUi .githubButton:active{
    /* 变换 */
    transform: scale(0.75);
}



/*按钮：Staff*/
/* [当鼠标移出时] */
#settingUi .staffButton{
    /* 过渡 */
    transition: transform 0.1s;
    /* 变换 */
    transform: scale(1);
}
/* [当鼠标按下时] */
#settingUi .staffButton:active{
    /* 变换 */
    transform: scale(0.75);
}



/*面板：Staff*/
/* [当鼠标移出时] */
#settingUi .staffPanel{
    /* 过渡 */
    transition: opacity 0.35s;
    /* 隐藏 */
    opacity: 0;
}



/*按钮：音量滑块*/
/* [当鼠标移出时] */
#settingUi .volumeSlider .round{
    /* 过渡 */
    transition: background-color 0.1s;
    /* 颜色 */
    background-color: #767676;
}
/* [当鼠标按下时] */
#settingUi .volumeSlider .round:active{
    /* 变换 */
    background-color: #49463d;
}



/*按钮：音量数字面板*/
/* [当鼠标移出时] */
#settingUi .volumeNumber{
    /* 过渡 */
    transition: opacity 0.35s;
    /* 隐藏 */
    opacity: 0;
}